aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorManjunath Ranganathaiah <manjunath.ranganathaiah@intel.com>2018-08-22 11:08:57 -0700
committerManjunath Ranganathaiah <manjunath.ranganathaiah@intel.com>2018-08-22 14:17:08 -0700
commit858b1278219b5cb6ca6f6d4abcb20b0180216be1 (patch)
treeaf8afb6a9f0ca0ac77b3e187ab424fe80d21441a
parent572150672972e58d3e2b2f21e5dfd3004bce6b68 (diff)
Add build scripts and tabrmd
There is a dependency on tabrmd while building duplicate tool and this is required for now. Cleanup and use base container from nexus repo. Add build scripts for nightly build. Change-Id: I4c3487d22988927084d7336671b81144374ccb5d Issue-ID: AAF-418 Signed-off-by: Manjunath Ranganathaiah <manjunath.ranganathaiah@intel.com>
-rw-r--r--bin/base/openssldockerfile12
-rwxr-xr-xbin/build_images.sh6
-rw-r--r--bin/distcenter/README.txt2
-rwxr-xr-xbin/distcenter/build_distcenter_image.sh39
-rw-r--r--bin/distcenter/distcenterdockerfile (renamed from bin/distcenter/Dockerfile)9
5 files changed, 62 insertions, 6 deletions
diff --git a/bin/base/openssldockerfile b/bin/base/openssldockerfile
index 2607473..6c323c4 100644
--- a/bin/base/openssldockerfile
+++ b/bin/base/openssldockerfile
@@ -32,6 +32,7 @@ RUN apt-get -y update && \
RUN apt-get -y install libgcrypt20-dev
RUN git clone https://github.com/tpm2-software/tpm2-tss.git
+RUN git clone https://github.com/tpm2-software/tpm2-abrmd.git
RUN git clone https://github.com/tpm2-software/tpm2-tools.git
RUN cd tpm2-tss && \
@@ -42,6 +43,17 @@ RUN cd tpm2-tss && \
make install
RUN rm -rf tpm2-tss
+RUN cd tpm2-abrmd && \
+ git checkout 1.1.1 && \
+ useradd --system --user-group tss && \
+ ./bootstrap && \
+ ./configure --with-dbuspolicydir=/etc/dbus-1/system.d \
+ --with-udevrulesdir=/etc/udev/rules.d/ \
+ --with-systemdsystemunitdir=/lib/systemd/system && \
+ make && \
+ make install
+RUN rm -rf tpm2-abrmd
+
RUN cd tpm2-tools && \
git checkout 2.1.0 && \
./bootstrap && \
diff --git a/bin/build_images.sh b/bin/build_images.sh
new file mode 100755
index 0000000..49fe990
--- /dev/null
+++ b/bin/build_images.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+set -e
+cd base
+./build_base_images.sh
+cd ../distcenter
+./build_distcenter_image.sh
diff --git a/bin/distcenter/README.txt b/bin/distcenter/README.txt
index fe39395..4002dc7 100644
--- a/bin/distcenter/README.txt
+++ b/bin/distcenter/README.txt
@@ -13,7 +13,7 @@ example
Build the container using
- docker build --no-cache -t dist-center .
+ docker build --no-cache -t dist-center -f distcenterdockerfile .
Run it mounting the volume
diff --git a/bin/distcenter/build_distcenter_image.sh b/bin/distcenter/build_distcenter_image.sh
new file mode 100755
index 0000000..8da9d8b
--- /dev/null
+++ b/bin/distcenter/build_distcenter_image.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+set -e
+DIRNAME=`dirname $0`
+DOCKER_BUILD_DIR=`cd $DIRNAME/; pwd`
+echo "DOCKER_BUILD_DIR=${DOCKER_BUILD_DIR}"
+cd ${DOCKER_BUILD_DIR}
+
+BUILD_ARGS="--no-cache"
+ORG="onap"
+VERSION="3.0.0"
+PROJECT="aaf"
+IMAGE="distcenter"
+DOCKER_REPOSITORY="nexus3.onap.org:10003"
+IMAGE_NAME="${DOCKER_REPOSITORY}/${ORG}/${PROJECT}/${IMAGE}"
+TIMESTAMP=$(date +"%Y%m%dT%H%M%S")
+
+if [ $HTTP_PROXY ]; then
+ BUILD_ARGS+=" --build-arg HTTP_PROXY=${HTTP_PROXY}"
+fi
+if [ $HTTPS_PROXY ]; then
+ BUILD_ARGS+=" --build-arg HTTPS_PROXY=${HTTPS_PROXY}"
+fi
+echo $BUILD_ARGS
+
+function build_image {
+ echo "Start build docker image: ${IMAGE_NAME}:latest"
+ docker build ${BUILD_ARGS} -t ${IMAGE_NAME}:latest -f distcenterdockerfile .
+}
+
+function push_image {
+ echo "Start push ${IMAGE_NAME}:latest"
+ docker push ${IMAGE_NAME}:latest
+ echo "Start push ${IMAGE_NAME}:${VERSION}-SNAPSHOT-latest"
+ docker tag ${IMAGE_NAME}:latest ${IMAGE_NAME}:${VERSION}-SNAPSHOT-latest
+ docker push ${IMAGE_NAME}:${VERSION}-SNAPSHOT-latest
+}
+
+build_image
+push_image
diff --git a/bin/distcenter/Dockerfile b/bin/distcenter/distcenterdockerfile
index cb6f000..d643878 100644
--- a/bin/distcenter/Dockerfile
+++ b/bin/distcenter/distcenterdockerfile
@@ -1,17 +1,16 @@
-FROM rmannfv/aaf-base:openssl_1.1.0
+FROM nexus3.onap.org:10001/onap/aaf/aaf-base-openssl_1.1.0:latest
RUN git clone https://gerrit.onap.org/r/aaf/sshsm
RUN cd sshsm && \
cd tpm-util && \
cd duplicate && \
make -f sampleMakefile
+RUN mkdir -p /dup/bin && \
+ cp sshsm/tpm-util/duplicate/ossl_tpm_duplicate /dup/bin && \
+ rm -rf sshsm
RUN mkdir -p /distcenter/bin
COPY ./create_ca.sh /distcenter/bin
-RUN mkdir /dup
-RUN mkdir /dup/bin
-
-RUN cp sshsm/tpm-util/duplicate/ossl_tpm_duplicate /dup/bin
ADD entrypoint.sh /entrypoint.sh
ENTRYPOINT [ "/entrypoint.sh" ]